Using the business contact id and phone number type code in the request path, the method updates the phone number.
Responses
-
Successfully updated the phone number
-
Invalid request. See response body for details.
-
Unauthorized request. See response body for details.
-
Permission denied. See response body for details.
-
Business contact or phone number not found.
-
Phone number already exists.
-
Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.
-
Unknown error. See response body for details.
PATCH
/business-contacts/{businessContactId}/phone-numbers/{phoneNumberTypeCode}
curl \
--request PATCH 'http://api.example.com/business-contacts/{businessContactId}/phone-numbers/{phoneNumberTypeCode}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"typeCode":"string","ext":"string","number":"string"}'
Request example
{
"typeCode": "string",
"ext": "string",
"number": "string"
}
Response examples (200)
{}
Response examples (404)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}
Response examples (409)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}